import type { DSize } from '../../utils/types';
import React from 'react';
import { DComposeItem } from './ComposeItem';
export interface DComposeContextData {
    gSize?: DSize;
    gDisabled?: boolean;
}
export declare const DComposeContext: React.Context<DComposeContextData | null>;
export interface DComposeProps extends React.HTMLAttributes<HTMLDivElement> {
    dSize?: DSize;
    dVertical?: boolean;
    dDisabled?: boolean;
}
export interface DComposePrivateProps {
    __noStyle?: boolean;
}
export declare const DCompose: {
    (props: DComposeProps): JSX.Element | null;
    Item: typeof DComposeItem;
};
