import { jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { registerComponentMate } from '../../utils';
import { useComponentConfig } from '../root';
export const DFormGroupContext = React.createContext(null);
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DForm.Group' });
export function DFormGroup(props) {
    const { children, dFormGroup, dTitle } = useComponentConfig(COMPONENT_NAME, props);
    return (_jsxs(DFormGroupContext.Provider, Object.assign({ value: dFormGroup }, { children: [dTitle, children] })));
}
