var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { FileTwoTone, LoadingOutlined, PlusOutlined } from '@react-devui/icons';
import { getClassName } from '@react-devui/utils';
import { registerComponentMate } from '../../utils';
import { useComponentConfig, usePrefixConfig, useTranslation } from '../root';
import { DUploadAction } from './UploadAction';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DUpload.PictureButton' });
export function DUploadPictureButton(props) {
    var _a;
    const _b = useComponentConfig(COMPONENT_NAME, props), { dFile, dActions = [_jsx(DUploadAction, { dPreset: "preview" }), _jsx(DUploadAction, { dPreset: "remove" })], dDefaultActions, onRemove } = _b, restProps = __rest(_b, ["dFile", "dActions", "dDefaultActions", "onRemove"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    const [t] = useTranslation();
    const isLoading = dFile && dFile.status === 'progress';
    return (_jsx("div", Object.assign({}, restProps, { tabIndex: (_a = restProps.tabIndex) !== null && _a !== void 0 ? _a : 0, className: getClassName(restProps.className, `${dPrefix}upload__picture-item`, `${dPrefix}upload__picture-item--button`, {
            'is-disabled': isLoading,
            [`${dPrefix}upload__picture-item--${dFile === null || dFile === void 0 ? void 0 : dFile.status}`]: dFile,
        }) }, { children: dFile && dFile.status !== 'progress' ? (_jsxs(_Fragment, { children: [dFile.thumbUrl ? (_jsx("img", { className: `${dPrefix}upload__picture-preview`, src: dFile.thumbUrl, alt: dFile.name })) : (_jsxs(_Fragment, { children: [_jsx(FileTwoTone, { dSize: 28, dTheme: dFile.status === 'error' ? 'danger' : 'primary' }), _jsx("div", Object.assign({ className: `${dPrefix}upload__picture-name` }, { children: dFile.name }))] })), _jsx("div", Object.assign({ className: `${dPrefix}upload__picture-actions` }, { children: React.Children.map(dActions, (action) => React.cloneElement(action, {
                        __file: dFile,
                        __defaultActions: dDefaultActions,
                        __onRemove: onRemove,
                    })) }))] })) : (_jsxs(_Fragment, { children: [_jsx("div", Object.assign({ className: `${dPrefix}upload__picture-button-icon` }, { children: isLoading ? _jsx(LoadingOutlined, { dSpin: true }) : _jsx(PlusOutlined, {}) })), _jsx("div", Object.assign({ className: `${dPrefix}upload__picture-button-text` }, { children: t('Upload', isLoading ? 'Uploading' : 'Upload') }))] })) })));
}
