/// <reference types="react" />
type DVerticalSidePlacement = 'top' | 'top-left' | 'top-right' | 'bottom' | 'bottom-left' | 'bottom-right';
interface DVerticalSidePosition {
    top: number;
    left: number;
    transformOrigin: string;
    arrowPosition: React.CSSProperties;
}
export declare function getVerticalSidePosition(targetEl: HTMLElement, popupSize: {
    width: number;
    height: number;
}, config: {
    placement: DVerticalSidePlacement;
    offset?: number;
    inWindow?: number | false;
}): DVerticalSidePosition;
export {};
