var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { getClassName } from '@react-devui/utils';
import { registerComponentMate } from '../../utils';
import { useComponentConfig, usePrefixConfig } from '../root';
import { DCheckboxGroupRenderer } from './CheckboxGroupRenderer';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DCheckbox.Group' });
export function DCheckboxGroup(props) {
    const _a = useComponentConfig(COMPONENT_NAME, props), { dFormControl, dList, dModel, dDisabled = false, dVertical = false, onModelChange } = _a, restProps = __rest(_a, ["dFormControl", "dList", "dModel", "dDisabled", "dVertical", "onModelChange"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    return (_jsx(DCheckboxGroupRenderer, { dFormControl: dFormControl, dList: dList, dModel: dModel, dDisabled: dDisabled, dRender: (nodes) => (_jsx("div", Object.assign({}, restProps, { className: getClassName(restProps.className, `${dPrefix}checkbox-group`, {
                [`${dPrefix}checkbox-group--vertical`]: dVertical,
            }), role: "group" }, { children: nodes }))), onModelChange: onModelChange }));
}
