import { isUndefined } from 'lodash';
import { useContextRequired } from '../../../hooks';
import { DConfigContext } from '../contex';
export function useComponentConfig(component, props) {
    var _a;
    const gProps = (_a = useContextRequired(DConfigContext).componentConfigs[component]) !== null && _a !== void 0 ? _a : {};
    const noUndefinedProps = {};
    Object.keys(props).forEach((key) => {
        if (!isUndefined(props[key])) {
            noUndefinedProps[key] = props[key];
        }
    });
    return Object.assign(Object.assign({}, gProps), noUndefinedProps);
}
