import type { DUploadFile } from './Upload';
import React from 'react';
export interface DUploadListProps extends Omit<React.HTMLAttributes<HTMLUListElement>, 'children'> {
    dType?: 'list' | 'picture' | 'picture-list';
    dDefaultActions?: {
        preview?: (file: DUploadFile) => void;
        download?: (file: DUploadFile) => void;
    };
    dActions?: (file: DUploadFile, index: number) => React.ReactNode[];
}
export interface DUploadListPrivateProps {
    __fileList: DUploadFile[];
    __onRemove: (file: DUploadFile) => void;
}
export declare function DUploadList(props: DUploadListProps): JSX.Element | null;
