export type DPopupPlacement = 'top' | 'top-left' | 'top-right' | 'right' | 'right-top' | 'right-bottom' | 'bottom' | 'bottom-left' | 'bottom-right' | 'left' | 'left-top' | 'left-bottom';
export declare function getPopupPosition(popupEl: HTMLElement, targetEl: HTMLElement, config: {
    placement: DPopupPlacement;
    offset?: number;
    inWindow?: number | false;
}): {
    top: number;
    left: number;
};
export declare function getPopupPosition(popupEl: HTMLElement, targetEl: HTMLElement, config: {
    placement: DPopupPlacement;
    offset?: number;
    inWindow?: number | false;
}, space: [number, number, number, number]): {
    top: number;
    left: number;
    placement: DPopupPlacement;
} | undefined;
